%define module_name MooX-Thunking
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Allow Moo attributes to be "thunked"
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a the Moo manpage extension. It allows another value for the `is'
parameter to the has entry in the Moo manpage: "thunked". If used, this will allow you to 
transparently provide either a real value for the attribute, or a
the CodeLike entry in the Types::TypeTiny manpage that when called will return such a real
value.

Note that in earlier versions of this module (up to 0.06), any `isa'
had to pass a `CodeLike'. This is now taken care of by this module. It
will continue to do the right thing if no `isa' is supplied.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/M*

%changelog
* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

